package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.external.filter.ORGUSERSearchContext;

/**
 * 实体 [人员] 存储模型
 */
public interface ORGUSER{

    /**
     * 人员名称
     */
    String getORGUSERName();

    void setORGUSERName(String oRGUSERName);

    /**
     * 获取 [人员名称]脏标记
     */
    boolean getORGUSERNameDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 人员标识
     */
    String getORGUSERId();

    void setORGUSERId(String oRGUSERId);

    /**
     * 获取 [人员标识]脏标记
     */
    boolean getORGUSERIdDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 机构名称
     */
    String getORGName();

    void setORGName(String oRGName);

    /**
     * 获取 [机构名称]脏标记
     */
    boolean getORGNameDirtyFlag();
    /**
     * 机构标识
     */
    String getORGId();

    void setORGId(String oRGId);

    /**
     * 获取 [机构标识]脏标记
     */
    boolean getORGIdDirtyFlag();
}
